# ValidationStatus enum

Barcode document format

Inheritance
  - Object
  - Enum
  - ValidationStatus

## Constructors

ValidationStatus()
  const

## Values

Invalid → const ValidationStatus

  Field value failed validation */

Valid → const ValidationStatus

  Field value passed validation */

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<ValidationStatus>
  A constant List of the values in this enum, in order of their declaration.
  `[Invalid, Valid]`